#! /usr/bin/env python3
class Triangulo:
    '''Define un triangulo con sus tres ángulos, y permite determinar si es
    realmente un triángulo, y de ser así, qué tipo de triángulo es'''

    def __init__(self,a,b,c):
        '''Crea un triángulo con sus tres ángulos'''
        self.a = a
        self.b = b
        self.c = c
    
    def es_triangulo(self):
        '''Retorna True si los tres ángulos corresponden a un triángulo y 
        False de lo contrario'''
        angulos = (self.a, self.b, self.c)
        for angulo in angulos:
            if angulo >= 180 or angulo <= 0:
                return False
        if sum(angulos) == 180:
            return True
        else:
            return False

    def segun_lados(self):
        '''Retorna "equilátero", "isósceles" o "escaleno" según corresponda'''
        if not self.es_triangulo():
            return 'No es un triángulo'
        if self.a == self.b and self.b == self.c:
            return 'equilátero'
        elif self.a != self.b and self.b != self.c and self.a != self.c:
            return 'escaleno'
        else:
            return 'isósceles'

    def segun_angulos(self):
        '''Retorna "obtusángulo", "rectángulo" o "acutángulo" según 
        corresponda'''
        if not self.es_triangulo():
            return 'No es un triángulo'

        angulos = (self.a, self.b, self.c)
        for angulo in angulos:
            if angulo > 90:
                return 'obtusángulo'
            elif angulo == 90:
                return 'rectángulo'
        return 'acutángulo'











